import request from '@/utils/request'

export function getWarningPiles() {
  return request({
    url: '/gas/warningPile/getWarningPile',
    method: 'get',
  })
}
// 查询警示桩列表
export function listWarningPile(query) {
  return request({
    url: '/gas/warningPile/list',
    method: 'get',
    params: query
  })
}

// 查询警示桩详细
export function getWarningPile(id) {
  return request({
    url: '/gas/warningPile/' + id,
    method: 'get'
  })
}

// 新增警示桩
export function addWarningPile(data) {
  return request({
    url: '/gas/warningPile',
    method: 'post',
    data: data
  })
}

// 修改警示桩
export function updateWarningPile(data) {
  return request({
    url: '/gas/warningPile',
    method: 'put',
    data: data
  })
}

// 删除警示桩
export function delWarningPile(id) {
  return request({
    url: '/gas/warningPile/' + id,
    method: 'delete'
  })
}
